# Created by pyp2rpm-1.0.1
%define pypi_name wheel
%bcond_with	tests

Name:		python-%{pypi_name}
Version:	0.23.0
Release:	2
Summary:	A built-package format for Python
Group:		Development/Python
License:	MIT
URL:		http://bitbucket.org/dholth/wheel/
Source0:	https://pypi.python.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python-setuptools

%if %{with tests}
BuildRequires:	python-pytest
BuildRequires:	python-jsonschema
BuildRequires:	python-keyring
BuildRequires:	python-py
%endif

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-jsonschema
BuildRequires:	python3-keyring
BuildRequires:	python3-py
%endif


%description
A built-package format for Python.

A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

%package -n     python3-%{pypi_name}
Summary:        A built-package format for Python
Group:          Development/Python

%description -n python3-%{pypi_name}
A built-package format for Python.

A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

This is package contains Python 3 version of the package.

%prep
%setup -qc
mv  %{pypi_name}-%{version} python2

pushd python2
# header files just has to be there, even empty
touch %{pypi_name}/test/headers.dist/header.h

# remove unneeded shebangs
sed -ie '1d' %{pypi_name}/{egg2wheel,wininst2wheel}.py
popd

cp -r python2 python3

%build
pushd python2
python2 setup.py build
popd

pushd python3
python3 setup.py build
popd


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
pushd python3
python3 setup.py install --skip-build --root %{buildroot}
popd
pushd %{buildroot}%{_bindir}
for f in $(ls); do mv $f python3-$f; done
popd

pushd python3
python2 setup.py install --skip-build --root %{buildroot}
popd

%if %{with tests}
%check
pushd python2
# remove setup.cfg that makes pytest require pytest-cov (unnecessary dep)
rm setup.cfg
py.test --ignore build
popd

pushd python3
rm setup.cfg
py.test-%{python3_version} --ignore build
popd
%endif

%files
%doc python2/LICENSE.txt python2/CHANGES.txt python2/README.txt
%{_bindir}/egg2wheel
%{_bindir}/wheel
%{_bindir}/wininst2wheel
%{py_puresitedir}/%{pypi_name}*

%files -n python3-%{pypi_name}
%doc python3/LICENSE.txt python3/CHANGES.txt python3/README.txt
%{_bindir}/python3-egg2wheel
%{_bindir}/python3-wheel
%{_bindir}/python3-wininst2wheel
%{py3_puresitedir}/%{pypi_name}*

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.23.0-2
+ Revision: 5862d88
- MassBuild#440: Increase release tag


